Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class FileZippedJarVisitor

    java.lang.Object
      org.hibernate.ejb.packaging.AbstractJarVisitor
          org.hibernate.ejb.packaging.FileZippedJarVisitor

All Implemented Interfaces:
  JarVisitor

    public class FileZippedJarVisitor

extends AbstractJarVisitor

Work on a JAR that can be accessed through a File

Field Summary

Fields inherited from class org.hibernate.ejb.packaging.AbstractJarVisitor
`done, jarUrl, unqualifiedJarName`

Constructor Summary
`FileZippedJarVisitor(String fileName, Filter[] filters)`
`FileZippedJarVisitor(URL url, Filter[] filters, String entry)`

Method Summary
`protected void` | `doProcessElements()`

Methods inherited from class org.hibernate.ejb.packaging.AbstractJarVisitor
`addElement, getFilters, getMatchingEntries, getUnqualifiedJarName, unqualify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileZippedJarVisitor

    public FileZippedJarVisitor(String fileName,
                                Filter[] filters)

### FileZippedJarVisitor

    public FileZippedJarVisitor(URL url,
                                Filter[] filters,
                                String entry)

Method Detail

### doProcessElements

    protected void doProcessElements()
                              throws IOException

  Specified by:
    `doProcessElements` in class `AbstractJarVisitor`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.